App build.gradle.kts Archivo sin resolver Erros de reference

Tengo un file build.gradle.kts en mi carpeta de aplicaciones.

import org.gradle.internal.impldep.com.amazonaws.PnetworkingefinedClientConfigurations.defaultConfig buildscript { repositories { google() jcenter() } dependencies { configurations { classpath ("com.github.shyiko:ktlint:0.11.1") } classpath ("com.android.tools.build:gradle:3.1.0-alpha01") classpath ("org.jetbrains.kotlin:kotlin-gradle-plugin:${"kotlin_version"}") } } plugins { id ("org.jmailen.kotlinter") version "1.5.0" id ("io.gitlab.arturbosch.detekt") version "1.0.0.RC5-3" } apply { from ("com.android.application") } apply { from ( "kotlin-android" ) } apply { from ( "kotlin-android-extensions" )} android { compileSdkVersion ("28") buildToolsVersion ("27.0.0") androidExtensions { experimental = true } } ext { ankoVersion = "0.10.2" moshiVersion = "1.5.0" okioVersion = "1.13.0" okhttpVersion = "3.8.1" okhttpUrlconnectionVersion = "${okhttpVersion}" okhttpAndroidSupportVersion = "${okhttpVersion}" okhttpLoggingInterceptorVersion = "${okhttpVersion}" retrofitVersion = '2.3.0' retrofitMoshiVersion = "${retrofitVersion}" robolectricVersion = '3.5.1' robolectricAndroidAllVersion = '8.1.0-robolectric-r4402310' kluentVersion = '1.30' } dependencies { implementation fileTree(include: ['*.jar'], dir: 'libs') implementation ("com.android.support.constraint:constraint-layout") version "1.1.0-beta3" implementation "org.jetbrains.kotlin:kotlin-stdlib-jre8" version ($kotlin_version) implementation "org.jetbrains.kotlin:kotlin-reflect:$kotlin_version" implementation "org.jetbrains.anko:anko-common:$ankoVersion" implementation "com.squareup.moshi:moshi:$moshiVersion" implementation "com.squareup.moshi:moshi-kotlin:$moshiVersion" implementation "com.squareup.okio:okio:$okioVersion" implementation "com.squareup.okhttp3:okhttp:$okhttpVersion" implementation "com.squareup.okhttp3:okhttp-urlconnection:$okhttpUrlconnectionVersion" implementation "com.squareup.okhttp3:okhttp-android-support:$okhttpAndroidSupportVersion" implementation "com.squareup.okhttp3:logging-interceptor:$okhttpLoggingInterceptorVersion" implementation("com.squareup.retrofit2:retrofit:$retrofitVersion") { exclude module: "okhttp" } implementation "com.squareup.retrofit2:converter-moshi:$retrofitMoshiVersion" testImplementation "org.robolectric:robolectric:$robolectricVersion" testImplementation "org.robolectric:android-all:$robolectricAndroidAllVersion" androidTestImplementation('com.android.support.test.espresso:espresso-core:2.3-alpha', { exclude group: "com.android.support", module: "support-annotations" }) testImplementation 'junit:junit:4.12' testImplementation "org.amshove.kluent:kluent:$kluentVersion" } detekt { profile("main") { input = "$projectDir/src/main/kotlin" } } 

Este es mi file build.gradle completo. La primera parte de la parte superior para Android es, en mi opion bien. Android Studio tampoco muestra ningún error.

Pero, comenzando con la palabra key Android {, cada línea se marca como un error. Utilicé esta página para verificar cómo se debe implementar Android. Pero de nuevo, esto no está funcionando para mí. Supongo que no entiendo la Docu o mezclo algo.